<?php
require(__DIR__.'/../model/cmsModelAdmin.php');
$cmsModel=new cmsModel;
$cmsModel->isLogin();

//バリデーションチェック
//関数化しないほうが直感的にロジックがわかりやすくなり部分的変更対応や改修が容易になる
$cid=-1;
if(array_key_exists('cid',$_REQUEST)&&preg_match('/[0-9]+/',$_REQUEST['cid'])){
  $cid=$_REQUEST['cid'];
}
$pcid=-1;
if(array_key_exists('pcid',$_REQUEST)&&preg_match('/[0-9]+/',$_REQUEST['pcid'])){
  $pcid=$_REQUEST['pcid'];
}
$cname='';
if(array_key_exists('cname',$_REQUEST)){
  $cname=$_REQUEST['cname'];
}
$cdescription='';
if(array_key_exists('cdescription',$_REQUEST)){
  $cdescription=$_REQUEST['cdescription'];
}
$corder=-1;
if(array_key_exists('corder',$_REQUEST)&&preg_match('/[0-9]+/',$_REQUEST['corder'])){
  $corder=$_REQUEST['corder'];
}
$err=[];
if($cid<0){
  $err[]='カテゴリIDエラー';
}
if($pcid<0){
  $err[]='親カテゴリIDエラー';
}
if($corder<0||$corder>99999){
  //エラー
  $err[]='カテゴリ表示順エラー';
}
if(strlen($cname)>120){
  //エラー
  $err[]='カテゴリ名が長すぎます';
}
if(strlen($cname)==0){
  //エラー
  $err[]='カテゴリ名の入力は必須です';
}
if(strlen($cdescription)>300){
  //エラー
  $err[]='メタディスクリプションが長すぎます';
}

if(count($err)==0){
  $cmsModel->updateInsertCategory($cid,$pcid,$corder,$cname,$cdescription);
  header("Location: ./listCate.php");
  exit;
}
include(__DIR__.'/view/updateInsertCategory.php');
