<?php
require(__DIR__.'/../model/cmsModelAdmin.php');
$cmsModel=new cmsModel;
$uid=$cmsModel->isLogin();

$pid=$_REQUEST['pid'];
$scid=$_REQUEST['scid'];
$sdate=trim($_REQUEST['sdate1'].' '.$_REQUEST['sdate2']);
$edate=trim($_REQUEST['edate1'].' '.$_REQUEST['edate2']);
$img=$_REQUEST['imgsrc'];
$title=$_REQUEST['title'];
$description=$_REQUEST['description'];
$body=$_REQUEST['body'];
$visible=htmlentities($_REQUEST['visible']);

//一応バリデーションチェック
$err=[];
if(!preg_match('/^[0-9]+$/',$pid)){
  $err[]='投稿IDエラー';
}
if(!preg_match('/^[0-9]+$/',$scid)){
  $err[]='小カテゴリIDエラー';
}
if(!preg_match('/^[01]$/',$visible)){
  $err[]='表示エラー';
}
if(!strtotime($sdate)||$sdate==''){
  $err[]='開始日が不正です';
}
if($edate!=''&&!strtotime($edate)){
  $err[]='終了日が不正です';
}
if(strlen($title)>255){
  $err[]='タイトルが長すぎます';
}
if(strlen($title)<1){
  $err[]='タイトルが短すぎます';
}
if(strlen($description)>512){
  $err[]='メタディスクリプションが長すぎます';
}
//CKEditor5がscriptタブを許可はしていないが、投稿時のセキュリティチェック
if(preg_match('/<script.*?>.*?<\/script>/mis',$body)){
  $err[]='本文にスクリプトタブがあります';
}
if(trim($body)==''){
  $err[]='本文が空っぽです';
}

//エラーが存在する場合
if(count($err)>0){
  include(__DIR__.'/view/updateInsertPostCompErr.php');
  exit;
}

//投稿の挿入または更新
$cmsModel->updateInsertPost($pid,$scid,$sdate,$edate,$uid,$img,htmlentities($title),htmlentities($description),$body,$visible);
include(__DIR__.'/view/updateInsertPostComp.php');



