<?php
//投稿新規編集 ビュー
if(count(debug_backtrace())==0){
  //このファイルがrequireやinclude経由ではなく単独で呼ばれた場合
  header('location: ../');
  exit;
}
?>
<!DOCTYPE html>
<html lang="ja">
<head>
  <meta name="viewport" content="width=device-width,initial-scale=1, minimum-scale=1, maximum-scale=1, user-scalable=no">
  <title><?=$cmsModel::TITLE?>投稿編集</title>
  <link rel="stylesheet" type="text/css" href="./css/admin_base.css">
  <style>
    table.search_condition{
      border-collapse:collapse;
      border-spacing:0px;
      font-size:12px;
    }
    table.search_condition tr th{
      min-width:80px;
      font-weight:bold;
    }
    table.search_condition tr td{
      font-weight:normal;
    }
  </style>
<script src="./js/mamcalendar.js"></script>
<script src="./js/mamtimepicker.js"></script>
<style>
  table.mamTableResponsive {
    width:100%;
    border-collapse:collapse;
    border:none;
    border-spacing:0;
    table-layout:auto;
    font-size:12px;

  }
  table.mamTableResponsive th {
    box-sizing:border-box;
    background: #7AF;
    border: solid 1px #ccc;
    color: #fff;
    margin:0;
    padding:6px;
  }
  table.mamTableResponsive td {
    box-sizing:border-box;
    border: solid 1px #ccc;
    color: #000;
    margin:0;
    padding:6px;
  }
  table.mamTableResponsive .mamBottomBorderThick{
    border-bottom:solid 1px #333;
  }
  table.mamTableResponsive .mamBottomBorderThin{
    border-bottom:solid 1px #ccc;
  }
  @media screen and (max-width:640px){
    table.mamTableResponsive tr{
      margin:0;padding:2px;
    }
    table.mamTableResponsive td,table.mamTableResponsive th{
      margin:0;padding:2px;
    }
    table.mamTableResponsive td{
      width:75%;
    }
    table.mamTableResponsive th{
      width:25%;
    }
  }
  div.pagerShowList{
    width:100%;
    display:flex;
    flex-wrap:wrap;
    justify-content:center;
    color:#333;
    font-size:12px;
  }
  div.pagerShowList>a{
    display:block;
    text-align:center;
    text-decoration:none;
    background:none;
    margin:0.1em 0.1em 0.1em 0.1em;
    padding:0em 0.2em 0em 0.2em;
    border:solid 1px #CCC;
    cursor:pointer;
  }
  div.pagerShowList>a.no_anc{
    color:#DDD;
    cursor:default;
  }

  div.pagerShowList>a.no_anc_act{
    color:#EEE;
    background:#333;
  }

  @media screen and (max-width:640px){
   a.pagerShowList{
     font-size:12px;
   }
  }
</style>
<script>
  const threshW=640;
  var mamTblRes=[];
  window.addEventListener('DOMContentLoaded',function(){
    let i,j,k;
    var tbl=document.querySelectorAll('table.mamTableResponsive');
    for(i=0;i<tbl.length;i++){
      let th=tbl[i].querySelectorAll('thead');
      let tb=tbl[i].querySelectorAll('tbody');
      if(th.length==1 && tb.length==1){
        let arr={};
        arr["table"]=tbl[i];
        arr["thead"]=th[0];
        arr["tbody"]=tb[0];
        mamTblRes.push(arr);
      }
    }
    for(i=0;i<mamTblRes.length;i++){
      let tb=document.createElement('tbody');
      for(k=0;k<mamTblRes[i].tbody.children.length;k++){
        for(j=0;j<mamTblRes[i].thead.children[0].children.length;j++){
          let tr=document.createElement('tr');
          tr.appendChild(mamTblRes[i].thead.children[0].children[j].cloneNode(true));
          tr.appendChild(mamTblRes[i].tbody.children[k].children[j].cloneNode(true));
          if(j==(mamTblRes[i].thead.children[0].children.length-1)){
            tr.children[0].classList.add("mamBottomBorderThick");
            tr.children[1].classList.add("mamBottomBorderThick");
          }else{
            tr.children[0].classList.add("mamBottomBorderThin");
            tr.children[1].classList.add("mamBottomBorderThin");
          }
          tb.appendChild(tr);
        }
      }
      mamTblRes[i]["tbodyR"]=tb;
    }
    mamTableResponsive();
  },false);
  function mamTableResponsive(){
    let i;
    if(mamTblRes.length>0 && window.innerWidth<threshW){
      for(i=0;i<mamTblRes.length;i++){
        if(mamTblRes[i].table.getElementsByTagName("thead").length>0){
          mamTblRes[i].table.appendChild(mamTblRes[i].tbodyR);
          mamTblRes[i].table.removeChild(mamTblRes[i].thead);
          mamTblRes[i].table.removeChild(mamTblRes[i].tbody);
        }
      }
    }else{
      for(i=0;i<mamTblRes.length;i++){
        if(mamTblRes[i].table.getElementsByTagName("thead").length==0){
          mamTblRes[i].table.removeChild(mamTblRes[i].tbodyR);
          mamTblRes[i].table.appendChild(mamTblRes[i].thead);
          mamTblRes[i].table.appendChild(mamTblRes[i].tbody);
        }
      }
    }
  }
  window.addEventListener('resize',function(){
    mamTableResponsive();
  },false);
  function gotoPage(page){
    let e_page=document.getElementById('page');
    e_page.value=page;
    document.getElementById('fm').submit();
  }
  function startSearch(){
    document.getElementById('page').value='';
    document.getElementById('fm').submit();
  }
</script>

</head>
<body>
  <header class="header">
    <div class="header_menu">
      <div><h1><?=$cmsModel::TITLE?> 管理</h1></div>
      <div>
        <a href="./menu.php" class="button min">メニュー</a>
        <a href="./logout.php" class="button min">ログアウトする</a>
      </div>
    </div>
  </header>
  <main>
    <h1 class="title">投稿編集</h1>
    <form action="listPost.php" method="post" id="fm">
      <input type="hidden" value="" name="page" id="page">
      
      <table class="search_condition">
        <tr>
          <th>大カテゴリ</th>
          <td>
            <select name="cid" id="cid" style="max-width:230px;">
              <option value="0">指定しない</option>
              <?php
                foreach($categories as $val){
              ?>
              <option value='<?=$val['cid']?>' <?=$val['cid']==$cid?'selected ':''?>><?=$val['cname']?></option>
              <?php
                }
              ?>
            <select>
          </td>
        </tr>
        <tr>
          <th>公開/非公開</th>
          <td>
            <label><input type="radio" name="visible" value="1" <?=$visible==1?'checked ':''?>/>全て</label>
            <label><input type="radio" name="visible" value="2" <?=$visible==2?'checked ':''?>/>公開のみ</label>
            <label><input type="radio" name="visible" value="3" <?=$visible==3?'checked ':''?>/>非公開のみ</label>
          </td>
        </tr>
        <tr>
          <th>公開日期限</th>
          <td>
            <label><input type="radio" name="period" value="1" <?=$period==1?'checked ':''?>/>全て</label>
            <label><input type="radio" name="period" value="2" <?=$period==2?'checked ':''?>/>公開期限内</label>
            <label><input type="radio" name="period" value="3" <?=$period==3?'checked ':''?>/>公開期限切れ</label>
            <label><input type="radio" name="period" value="4" <?=$period==4?'checked ':''?>/>公開開始日時が未来</label>
          </td>
        </tr>
        <tr>
          <th>タイトル検索</th>
          <td>
            <input type="text" name="title_word" id="title_word" value="<?=$title_word?>" maxlength="50" length="50" autocomplete="off" />
          </td>
        </tr>
        <tr>
          <th>並び順</th>
          <td>
            <label><input type="radio" name="order" value="1" <?=$order==1?'checked ':''?>/>公開開始日時(新しい順)</label>
            <label><input type="radio" name="order" value="2" <?=$order==2?'checked ':''?>/>公開開始日時(古い順)</label>
            <label><input type="radio" name="order" value="3" <?=$order==3?'checked ':''?>/>カテゴリ順</label>
          </td>
        </tr>
      </table>
      
      
      <a class="button" onclick="startSearch()">投稿検索</a>
      <a href="./updateInsertPost.php?pid=0" class="button">新規投稿</a><br>
    </form>
    <?php
    ?>
    <?php
      if(count($list)>0){  //検索条件にマッチする投稿が存在した場合
        //★ページャー
        echo "<div>\n";
        echo "  <div class='pagerShowList'>\n";
        //  ページャーの[<]
        if($page<=1){
          echo "    <a class='no_anc'>&lt;</a>\n";
        }else{
          echo "    <a onclick='gotoPage(".($page-1).")'>&lt;</a>\n";
        }
        //  ページャーの[1][2]・・・
        for($i=1;$i<=$pages;$i++){
          if($i==$page){
            echo "    <a class='no_anc_act'>".$i."</a>\n";
          }else{
            echo "    <a onclick='gotoPage(".$i.")'>".$i."</a>\n";
          }
        }
        //  ページャーの[>]
        if($page==$pages){
          echo "    <a class='no_anc'>&gt;</a>\n";
        }else{
          echo "    <a onclick='gotoPage(".($page+1).")'>&gt;</a>\n";
        }
        echo "  </div>";
        //ページャー終わり
        //★コンテンツ一覧
        echo "
              <table class='mamTableResponsive'>
                <thead>
                  <tr>
                    <th>大カテゴリ</th>
                    <th>小カテゴリ</th>
                    <th>公開期間</th>
                    <th>公開/非公開</th>
                    <th>バナー画像</th>
                    <th>投稿タイトル</th>
                  </tr>
                </thead>
                <tbody>";
        foreach($list as $val){
          echo "
                  <tr>
                    <td>".$val['cname']."</td>
                    <td>".$val['scname']."</td>
                    <td>".$val["sdate"]."～".$val["edate"]."</td>
                    <td>".($val["visible"]==1?'公開':'非公開')."</td>
                    <td><img src='".$val['img']."' style='max-width:80px;' /></td>
                    <td>
                      <a href='./updateInsertPost.php?pid=".$val['pid']."' class='button min'>編集</a><br>
                      ".$val["title"]."
                    </td>
                  </tr>
          ";
        }
        echo "
                </tbody>
              </table>
        ";
        //コンテンツ一覧終わり
        //★ページャー
        echo "
              <div>
                <div class='pagerShowList'>
        ";
        //  ページャーの[<]
        if($page<=1){
          echo "    <a class='no_anc'>&lt;</a>\n";
        }else{
          echo "    <a onclick='gotoPage(".($page-1).")'>&lt;</a>\n";
        }
        //  ページャーの[1][2]・・・
        for($i=1;$i<=$pages;$i++){
          if($i==$page){
            echo "    <a class='no_anc_act'>".$i."</a>\n";
          }else{
            echo "    <a onclick='gotoPage(".$i.")'>".$i."</a>\n";
          }
        }
        //  ページャーの[>]
        if($page==$pages){
          echo "    <a class='no_anc'>&gt;</a>\n";
        }else{
          echo "    <a onclick='gotoPage(".($page+1).")'>&gt;</a>\n";
        }
        echo "  </div>";
        //ページャー終わり
      }else{
        //検索条件にマッチする投稿が無かった場合
        echo "<div style='color:red;'>検索条件にマッチする投稿はありません</div>";
      }
    ?>
  </main>
  <footer>
    <br>
  </footer>
</body>
</html>