<?php
if(count(debug_backtrace())==0){
  //このファイルがrequireやinclude経由ではなく単独で呼ばれた場合
  header('location: ../');
  exit;
}

class cmsHeader{
  public static function getHTML($cmsModel){
    //大カテゴリ一覧の取得
    $category=$cmsModel->fGetCategory();
    $result='
      <style>
        .titleSearch{
          box-sizing:border-box;
          display:flex;
          vertical-align:middle;
          margin:0;
          padding:4px 4px 4px;
          align-items:center;
          line-height:1em;
          width:100%;
        }
        .titleSearch>h1{
          margin:0;
          padding:4px;
          font-size: 20px;
        }
        .titleSearch>h1>a{
          text-decoration:none;
          color:#333;
        }
        .titleSearch>nav{
          margin:4px 4px 4px auto;
          padding:0;
        }
        .titleSearch>nav>form{
          margin: 0;
          padding:0;
        }
        .titleSearch>nav>form>ul{
          list-style: none;
          margin: 0;
          display: flex;
        }
        .titleSearch>nav>form>ul>li{
          margin: 0 0 0 0px;
          padding:0;
        }
        .titleSearch>nav>form>ul>li>select{
          box-sizing:border-box;
          margin:0;
          padding:0;
          height:24px;
          width:160px;
          font-size:12px;
          border-radius:4px;
          border:1px solid #999;
        }
        .titleSearch>nav>form>ul>li>input{
          box-sizing:border-box;
          margin:0;
          padding:0;
          height:24px;
          width:160px;
          font-size:12px;
          vertical-align:top;
          border-radius:4px;
          border:1px solid #999;
        }
        .titleSearch>nav>form>ul>li>input::placeholder{
          font-size:10px;
        }
        @media screen and (max-width: 640px) {
          .titleSearch{
            flex-wrap:wrap;
            justify-content:flex-start;
          }
          .titleSearch>nav>form>ul{
            flex-wrap:wrap;
            margin:0;
            padding:0;
          }
          .titleSearch>nav{
            margin:4px 4px 4px 4px;
            padding:0;
          }
        }
      </style>
      <div class="titleSearch" style="">
        <h1><a href="./">'.$cmsModel::TITLE.'</a></h1>
        <nav>
          <form style="margin:0;padding:0;" method="post" action="./showSearch.php" id="fmSearch">
            <input type="hidden" name="header_page" id="header_page" value="1">
            <ul>
    ';
    if(count($category)>0){
      $header_cid=0;
      if(array_key_exists('header_cid',$_REQUEST)&&preg_match('/^[1-9]+[0-9]*$/',$_REQUEST['header_cid'])){
        $header_cid=$_REQUEST['header_cid'];
      }
      $header_keyword='';
      if(array_key_exists('header_keyword',$_REQUEST)){
        $header_keyword=trim(mb_ereg_replace('　',' ',$_REQUEST['header_keyword']));
      }
      $result.='
          
              <li>
                <select name="header_cid" id="header_cid" style="margin:0;padding:0;">
                  <option value="0">全てのカテゴリ</option>
      ';
      foreach($category as $val){
        if($val['cid']==$header_cid){$selected=' selected';}else{$selected='';}
        $result.='
                  <option value="'.$val['cid'].'"'.$selected.'>'.$val['cname'].'</option>
        ';
      }
      $result.='
                </select>
              </li>
              <li>
                <input type="text" maxlength="30" placeholder="キーワードを入力" name="header_keyword" id="header_keyword" autocomplete="off" value="'.$header_keyword.'">
                <a href="javascript:void(0)" onclick="document.getElementById(\'header_page\').value=1;document.getElementById(\'fmSearch\').submit();">
                  <svg style="width:24px;height:24px;margin:0;padding:0;" viewBox="0 0 64 64">
                    <rect style="fill:#DDD;stroke:#666;stroke-width:2;" x="1" y="1" width="62" height="62" />
                    <circle style="fill:none;stroke:#333;stroke-width:6;" cx="28" cy="28" r="14" />
                    <line style="fill:none;stroke:#333;stroke-width:6;" x1="38" y1="38" x2="50" y2="50" />
                  </svg>
                </a>
              </li>
      ';
    }
    $result.='
            </ul>
          </form>
        </nav>
      </div>
    ';    
    return $result;
  }
}




