<?php
/*
  ****************************
  大カテゴリ表示コントローラー
  ****************************
*/

//モデルの読み込み
require(__DIR__.'/model/cmsModelFront.php');
$cmsModel=new cmsModelFront();
if($cmsModel->isFirst()){//初回管理者パスワード設定の場合（ユーザーテーブルが空の場合）
  header('Location: ./admin/');
  exit;
}
//人気のコンテンツ
require(__DIR__.'/inc/cmsPopular.php');
require(__DIR__.'/inc/cmsHeader.php');


//大カテゴリ一覧の取得
$category=$cmsModel->fGetCategory();


//バリデーションチェック
//関数化しないほうが直感的にロジックがわかりやすくなり部分的な変更対応も容易になる
$cid=1;//大カテゴリID
if(array_key_exists('cid',$_REQUEST) && preg_match('/^[1-9][0-9]*$/',$_REQUEST['cid'])){
  $cid=$_REQUEST["cid"];
}else if(count($category)>0){
  $cid=$category[0]['cid'];
}
//カテゴリIDから、カテゴリ名とメタデスクリプションを取得
[$cname,$cdescription,$scname,$scdescription]=$cmsModel->fGetCnameByCid($cid);
//大カテゴリIDから投稿一覧の取得
$posts=$cmsModel->fGetPostByCid($cid);



//ビューの表示
include(__DIR__.'/view/index.php');
