<?php
/*
  ****************************
  投稿表示コントローラー
  ****************************
*/

//モデルの読み込み
require(__DIR__.'/model/cmsModelFront.php');
$cmsModel=new cmsModelFront;
//人気のコンテンツ
require(__DIR__.'/inc/cmsPopular.php');
require(__DIR__.'/inc/cmsHeader.php');

//バリデーションチェック
//関数化しないほうが直感的にロジックがわかりやすくなり部分的な変更対応も容易になる
$err=false;
$pid=1;//投稿ID
if(array_key_exists('pid',$_REQUEST) && preg_match('/^[1-9][0-9]*$/',$_REQUEST['pid'])){
  $pid=$_REQUEST["pid"];
}else{
  $err=true;
}
$cid=1;//大カテゴリIDけ
$scid=0;//小カテゴリID
if(!$err){
  //投稿を取得する
  $post=$cmsModel->fGetPost($pid);
  if(count($post)==0){
    $err=true;
  }else{
    $cid=$post['cid'];
    $scid=$post['scid'];
    //投稿表示回数を＋１する
    $cmsModel->fIncPostCounter($pid);
  }
}

//エラー時の処理
if($err){
  header("location: ./?cid=".$cid);
  exit;
}

//ビューの表示
include(__DIR__.'/view/showPost.php');
