<?php
//小カテゴリ表示ビュー
if(count(debug_backtrace())==0){
  //このファイルがrequireやinclude経由ではなく単独で呼ばれた場合
  header('location: ../');
  exit;
}
?>
<!DOCTYPE html>
<html lang="ja">
<head>
  <?php
    //共通head(metaタグ等）
    include(__DIR__.'/head.php');
  ?>
  <meta name="description" content="<?=$cdescription?>">
  <title><?=$cmsModel::TITLE.' | 検索結果'?></title>
  <script src="./js/banner_resize.js"></script>
</head>
<body>
  <header class="header">
    <?=cmsHeader::getHTML($cmsModel)?>
      <ul class="breadcrumb">
        <li>
          <a href="./?cid=<?=$cid?>">
            <svg style="width:20px;height:20px;" viewBox="0 0 64 64">
              <path d="M16,48 L16,28 L10,28 L32,12 L53,28 L45,28 L45,48 L37,48 L37,36 L29,36 L29,48" style="fill:#DDD;stroke:none;" />
            </svg>
            <?=$cname?>
          </a>
        </li>
        <li>
          <a><?=$keyword==''?'キーワード無し':$keyword?></a>
        </li>
      </ul>
  </header>
  <main>

    <h1 class="search_title">検索結果</h1>
    <?php
    if(count($posts)>0){
    ?>
    <!-- ★ページャー -->
    <?=cmsPager::getSearchPagerHTML($page,$pages,$cid,$keyword)?>
    <div class="subposts">
    <?php
    //指定カテゴリでに指定数(postsPerSubCategory)の最新の投稿を表示する
      foreach($posts as $val){
    ?>
      <a class="post" href="./showPost.php?pid=<?=$val['pid']?>">
        <p><?=$val['title']?></p>
        <img class="banner" src="<?=$val['img']?>" style="width:280px;max-width:100%;">
      </a>
    <?php
      }  //end of foreach
    ?>
    </div>
    <!-- ★ページャー -->
    <?=cmsPager::getSearchPagerHTML($page,$pages,$cid,$keyword)?>
    <?php
    }else{  //if
    ?>
      <p class="no_content" style="font-size:16px;color:red;">指定したカテゴリ、キーワードでコンテンツがありませんでした。</p>
    <?php
      }  //end of if
    ?>

    <!-- ★人気の一覧 -->
    <?=cmsPopular::getHTML($cmsModel)?>
  </main>
  <footer>
    <?php include(__DIR__.'/footer.php'); ?>
  </footer>
</body>
</html>
