<?php
//管理者ログインビュー
if(count(debug_backtrace())==0){
  //このファイルがrequireやinclude経由ではなく単独で呼ばれた場合
  header('location: ../');
  exit;
}
?>
<!DOCTYPE html>
<html lang="ja">
<head>
  <meta name="viewport" content="width=device-width,initial-scale=1, minimum-scale=1, maximum-scale=1, user-scalable=no">
  <meta charset="UTF-8">
  <title><?=$cmsModel::TITLE?> 管理者メニュー</title>
  <link rel="stylesheet" type="text/css" href="./css/admin_base.css">
</head>
<body>
  <header class="header">
    <div class="header_menu">
      <div><h1><?=$cmsModel::TITLE?> 管理</h1></div>
      <div>
        <a href="./changePassword.php" class="button min">パスワード変更</a>
        <a href="./logout.php" class="button min">ログアウトする</a>
      </div>
    </div>
    <div class="header_dt">
      <div class="dt">パスワード変更日：<?=$pdate?></div>
      <div class="dt">前回ログイン日：<?=$ndate?></div>
    </div>
  </header>
  <main class="main">
    <h1 class="title">メニュー</h2>
    <div class="main_sub">
      <a href="./listCate.php" class="button">カテゴリ編集</a>
      <br>
      <?php if(count($cateSubCateList)>0){ ?>
        <a href="./listPost.php" class="button">投稿編集</a><br>
      <?php }else{ ?>
        <p>まずカテゴリ編集から大カテゴリ、小カテゴリを登録してください</p>
      <?php } ?>
    </div>
  </main>
</body>
</html>