<?php
if(count(debug_backtrace())==0){
  //このファイルがrequireやinclude経由ではなく単独で呼ばれた場合
  header('location: ../');
  exit;
}

//小カテゴリ一覧ページャークラス
class cmsPager{
  private static $first=true;

  //ページャーを返す
  //同一コントローラーから、呼び出し1回目のみcssとjavascriptとformも出力する
  public static function getPagerHTML($page,$pages,$scid=1){
    $result ="\n";
    $result.="<div class='pagerShowSubList'>\n";
    //  ページャーの[<]
    if($page<=1){
      $result.="  <a class='no_anc'>&lt;</a>\n";
    }else{
      $result.="  <a onclick='gotoPage(".($page-1).")'>&lt;</a>\n";
    }
    //  ページャーの[1][2]・・・
    for($i=1;$i<=$pages;$i++){
      if($i==$page){
        $result.="  <a class='no_anc_act'>".$i."</a>\n";
      }else{
        $result.="  <a onclick='gotoPage(".$i.")'>".$i."</a>\n";
      }
    }
    //  ページャーの[>]
    if($page==$pages){
      $result.="  <a class='no_anc'>&gt;</a>\n";
    }else{
      $result.="  <a onclick='gotoPage(".($page+1).")'>&gt;</a>\n";
    }
    $result.="</div>\n";
    if(self::$first){
      $result.="
      <script>
        function gotoPage(page){
          let e_page=document.getElementById('page');
          e_page.value=page;
          document.getElementById('fm').submit();
        }
        function startSearch(){
          document.getElementById('page').value='';
          document.getElementById('fm').submit();
        }
      </script>
      <form action='showSubList.php' method='get' id='fm'>
        <input type='hidden' value='' name='page' id='page'>
        <input type='hidden' value='".$scid."' name='scid' id='scid'>
      </form>\n
      <link rel='stylesheet' type='text/css' href='./css/pager.css'>
      ";
      self::$first=false;
    }
    return $result;
  }


  //キーワード検索
  public static function getSearchPagerHTML($page,$pages,$cid,$keyword){
    $result ="\n";
    $result.="<div class='pagerShowSubList'>\n";
    //  ページャーの[<]
    if($page<=1){
      $result.="  <a class='no_anc'>&lt;</a>\n";
    }else{
      $result.="  <a onclick='gotoSearchPage(".($page-1).")'>&lt;</a>\n";
    }
    //  ページャーの[1][2]・・・
    for($i=1;$i<=$pages;$i++){
      if($i==$page){
        $result.="  <a class='no_anc_act'>".$i."</a>\n";
      }else{
        $result.="  <a onclick='gotoSearchPage(".$i.")'>".$i."</a>\n";
      }
    }
    //  ページャーの[>]
    if($page==$pages){
      $result.="  <a class='no_anc'>&gt;</a>\n";
    }else{
      $result.="  <a onclick='gotoSearchPage(".($page+1).")'>&gt;</a>\n";
    }
    $result.="</div>\n";
    if(self::$first){
      $result.="
      <script>
        function gotoSearchPage(page){
          let e_page=document.getElementById('header_page');
          e_page.value=page;
          document.getElementById('fmSearch').submit();
        }
      </script>
      <link rel='stylesheet' type='text/css' href='./css/pager.css'>
      ";
      self::$first=false;
    }
    return $result;
  }



}




