<?php
if(count(debug_backtrace())==0){
  //このファイルがrequireやinclude経由ではなく単独で呼ばれた場合
  header('location: ../');
  exit;
}

//人気のコンテンツ クラス
class cmsPopular{
  private static $first=true;
  public static function getHTML($cmsModel){
    //人気の投稿の取得
    $popular=$cmsModel->fGetPopular();
    $result='';
    if(count($popular)>0){
      $result.='<div class="popular">
        <h2 class="title">人気のコンテンツ</h2>';
      $num=1;
      foreach($popular as $val){
        $result.="<a href=\"showPost.php?pid=".$val['pid']."\">";
        $result.='<span>［'.$num.'位］</span><br>'.$val['title'].'<br>';
        $result.='<img class="banner" src="'.$val['img'].'">';
        $result.='</a>';
        $num++;
      }
      $result.='</div>';
      if(self::$first){
        $result.="
          <style>
          /* 人気の投稿 */
          div.popular{
            display:flex;
            font-size:20px;
            flex-wrap:wrap;
            justify-content:flex-start;
            width:100%;
            border:none;
          }
          div.popular>h2.title{
            display:block;
            font-size:20px;
            box-sizing:border-box;
            border:none;
            margin:0;
            padding:0 4px;
            width:100%;
            color:#fff;
            background:#888;
            border-radius:8px;
            margin-block:0;
            font-weight:normal;
          }
          @media screen and (max-width:440px){
            div.popular>h2.title{
              font-size:16px;
            }
          }
          div.popular>a{
            display:block;
            font-size:14px;
            width:18%;
            min-width:120px;
            max-width:160px;
            box-sizing:border-box;
            border:1px solid #ccc;
            padding:8px;
            color:#333;
            margin:2px;
            text-decoration:none;
          }
          div.popular>a:hover{
            box-shadow: 2px 2px 3px 0px rgba(0,0,0,0.4);
          }
          div.popular>a:active{
            box-shadow: 2px 2px 3px 0px rgba(0,0,0,0.4) inset;
          }

          @media screen and (max-width:440px){
            div.popular>a{
              font-size:12px;
            }
          }
          div.popular>a>span{
            font-weight:bold;
          }
          div.popular>a>img{
            max-width:160px;width:100%;
          }
          </style>
        ";
        self::$first=false;
      }
    }
    return $result;
  }
}




