<?php
/*
  ****************************
  小カテゴリ表示コントローラー
  ****************************
*/

//モデルの読み込み
require(__DIR__.'/model/cmsModelFront.php');
$cmsModel=new cmsModelFront();
//人気のコンテンツ
require(__DIR__.'/inc/cmsPopular.php');
//<header></header>コンテンツ
require(__DIR__.'/inc/cmsHeader.php');
//ページャー
require(__DIR__.'/inc/cmsPager.php');


$page=1;
if(array_key_exists('header_page',$_REQUEST)){
  $page=$_REQUEST['header_page'];
  if(!preg_match('/^[1-9][0-9]*$/',$page)){
    $page=1;
  }
}

//大カテゴリ一覧の取得
$category=$cmsModel->fGetCategory();

//小カテゴリ一覧の取得
$subCategory=$cmsModel->fGetSubCategory();


//バリデーションチェック
//関数化しないほうが直感的にロジックがわかりやすくなり部分的な変更対応も容易になる
$cid=0;//大カテゴリID
if(array_key_exists('header_cid',$_REQUEST) && preg_match('/^[1-9][0-9]*$/',$_REQUEST['header_cid'])){
  $cid=$_REQUEST["header_cid"];
}

[$cname,$cdescription,$scname,$scdescription]=$cmsModel->fGetCnameByCid($cid);

$keyword='';
if(array_key_exists('header_keyword',$_REQUEST)){
  $keyword=trim(mb_ereg_replace('　',' ',$_REQUEST['header_keyword']));
}

//大カテゴリからページ数と投稿一覧の取得
[$pages,$posts]=$cmsModel->fSearchKeyword($page,$cid,$keyword);


//ビューの表示
include(__DIR__.'/view/showSearch.php');
