<?php
/*
  ****************************
  小カテゴリ表示コントローラー
  ****************************
*/

//モデルの読み込み
require(__DIR__.'/model/cmsModelFront.php');
$cmsModel=new cmsModelFront();
//人気のコンテンツ
require(__DIR__.'/inc/cmsPopular.php');
require(__DIR__.'/inc/cmsHeader.php');
//ページャー
require(__DIR__.'/inc/cmsPager.php');


$page=1;
if(array_key_exists('page',$_REQUEST)){
  $page=$_REQUEST['page'];
  if(!preg_match('/^[1-9][0-9]*$/',$page)){
    $page=1;
  }
}

//大カテゴリ一覧の取得
$category=$cmsModel->fGetCategory();

//小カテゴリ一覧の取得
$subCategory=$cmsModel->fGetSubCategory();


//バリデーションチェック
//関数化しないほうが直感的にロジックがわかりやすくなり部分的な変更対応も容易になる
$scid=1;//小カテゴリID
if(array_key_exists('scid',$_REQUEST) && preg_match('/^[1-9][0-9]*$/',$_REQUEST['scid'])){
  $scid=$_REQUEST["scid"];
}else if(count($subCategory)>0){
  $scid=$subCategory[0]['scid'];
}
//小カテゴリIDから、カテゴリ名とメタデスクリプションを取得
[$cname,$cdescription,$scname,$scdescription]=$cmsModel->fGetCnameByCid($scid);


//小カテゴリからページ数と投稿一覧の取得
[$pages,$posts]=$cmsModel->fGetPostsBySubCid($page,$scid);



//ビューの表示
include(__DIR__.'/view/showSubList.php');
