<?php
//大カテゴリ表示ビュー
if(count(debug_backtrace())==0){
  //このファイルがrequireやinclude経由ではなく単独で呼ばれた場合
  header('location: ../');
  exit;
}
?>
<!DOCTYPE html>
<html lang="ja">
<head>
  <?php
    //共通head(metaタグ等）
    include(__DIR__.'/head.php');
  ?>
  <meta name="description" content="<?=$cdescription?>">
  <title><?=$cmsModel::TITLE.' | '.$cname?></title>
  <script src="./js/banner_resize.js"></script>
</head>
<body>
  <header>
    <?=cmsHeader::getHTML($cmsModel)?>
    <?php
      if(count($posts)>0){
        //パンくず
    ?>
      <ul class="breadcrumb">
        <li>
          <a>
            <svg style="width:20px;height:20px;" viewBox="0 0 64 64">
              <path d="M16,48 L16,28 L10,28 L32,12 L53,28 L45,28 L45,48 L37,48 L37,36 L29,36 L29,48" style="fill:#DDD;stroke:none;" />
            </svg>
            <?=$cname?>
          </a>
        </li>
      </ul>
    <?php
      }
    ?>
    <?php if(count($category)>1){ ?>
    <nav class="category_menu">
        <div class="category_menu_title">分類選択</div>
        <div>
        <?php
          //大カテゴリの一覧
          foreach($category as $val){
            if($cid==$val['cid']){
              echo "<a href='./?cid=".$val['cid']."' class='selected'>".$val['cname']."</a>";
            }else{
              echo "<a href='./?cid=".$val['cid']."'>".$val['cname']."</a>";
            }
          }
        ?>
        </div>
    </nav>
    <?php } ?>
  </header>
  <main>
<?php //小カテゴリ毎に指定数(postsPerSubCategory)の最新の投稿を表示する
  if(count($posts)>0){    //■■■投稿が存在する場合
    foreach($posts as $val){  //●●●foreach
?>
<?php
      if($val['sub_start']){      //★★★小カテゴリ開始時
?>
    <div class="subposts">
      <a href="./showSubList.php?scid=<?=$val['scid']?>" class="subcategory"><div><?=$val['scname']?></div><div>⇒</div><div>全て見る</div></a>
<?php
      }                           //★★★end of if
?>
      <a class="post" href="./showPost.php?pid=<?=$val['pid']?>">
        <p><?=$val['title']?></p>
        <img class="banner" src="<?=$val['img']?>" style="width:280px;max-width:100%;">
      </a>
<?php
      if($val['sub_end']){        //☆☆☆小カテゴリ終了時
?>
    </div>
<?php
      }                           //☆☆☆end of if
    }                         //●●●end of foreach
  }                       //■■■end of if
?>
    <!-- 人気のコンテンツ -->
    <?=cmsPopular::getHTML($cmsModel)?>
  </main>
  <footer>
    <?php include(__DIR__.'/footer.php'); ?>
  </footer>
</body>
</html>
