<?php
//投稿表示ビュー
if(count(debug_backtrace())==0){
  //このファイルがrequireやinclude経由ではなく単独で呼ばれた場合
  header('location: ../');
  exit;
}
?>
<!DOCTYPE html>
<html lang="ja">
<head>
  <?php
    //共通head(metaタグ等）
    include(__DIR__.'/head.php');
  ?>
  <meta name="description" content="<?=$post['description']?>">
  <title><?=$post['title']?></title>
  <script>
    window.addEventListener('DOMContentLoaded',function(){
      let img=document.getElementsByTagName('img');
      for(let i=0;i<img.length;i++){
        img[i].style.maxWidth='100%';
      }
    });
  </script>

</head>
<body>
  <header class="header">
    <?=cmsHeader::getHTML($cmsModel)?>
    <?php
    if(count($post)>0){
      //パンくず
    ?>
    <ul class="breadcrumb">
      <li>
        <a href="./?cid=<?=$post['cid']?>">
          <svg style="width:20px;height:20px;" viewBox="0 0 64 64">
            <path d="M16,48 L16,28 L10,28 L32,12 L53,28 L45,28 L45,48 L37,48 L37,36 L29,36 L29,48" style="fill:#333;stroke:none;" />
          </svg>
          <?=$post['cname']?>
        </a>
      </li>
      <li>
        <a href="./showSubList.php?scid=<?=$post['scid']?>">
          <?=$post['scname']?>
        </a>
      </li>
      <li>
        <a>
          <?=$post['title']?>
        </a>
      </li>
    </ul>
    <?php
    }
    ?>
  </header>
  <main>
    <div>
      <div class="postTitle">
        <div>
          <img src='<?=$post['img']?>' style="max-height:30px;max-width:30px;">
        </div>
        <div>
          <?=$post['title']?>
        </div>
      </div>
      <div class="postBody ck-content">
        <?php /*echo preg_replace('/\r\n|\r|\n/','<br>',$post['body']);*/?>
        <?=$post['body']?>
      </div>
    </div>
    <!-- 人気のコンテンツ -->
    <?=cmsPopular::getHTML($cmsModel)?>
  </main>
  <footer>
    <?php include(__DIR__.'/footer.php'); ?>
  </footer>
</body>
</html>
